Cant install elixir 1.14

When trying to install elixir 1.14 using nix, i get this error:

nix error: building nix env: exit status 1
Output has been trimmed to the last 20 lines
instantiated 'autoconf-archive-2021.02.19.tar.xz' -> '/nix/store/gdv10qk39n6k1wyadvavh3zjagwv9zap-autoconf-archive-2021.02.19.tar.xz.drv'
instantiated 'autoconf-archive-2021.02.19' -> '/nix/store/sdn24g78240zvglcaznrjylk0ddc3d4h-autoconf-archive-2021.02.19.drv'
instantiated 'nuke-references' -> '/nix/store/n49ynhmwi42rmwhci9vvphrrw9zsx378-nuke-references.drv'
copied source '/nix/store/d755j96xhbwa2q32mgwbbxzbx7x69p5h-nixpkgs-22.05-src/pkgs/development/interpreters/python/cpython/mimetypes.patch' -> '/nix/store/lpfs02z2i2hamz9f50p4bz6v0fs0600j-mimetypes.patch'
copied source '/nix/store/d755j96xhbwa2q32mgwbbxzbx7x69p5h-nixpkgs-22.05-src/pkgs/development/interpreters/python/sitecustomize.py' -> '/nix/store/kclys2xfrg0zjmpa37gyp33nyg1c7j0q-sitecustomize.py'
evaluating file '/nix/store/d755j96xhbwa2q32mgwbbxzbx7x69p5h-nixpkgs-22.05-src/pkgs/data/misc/mailcap/default.nix'
instantiated 'mailcap-2.1.53.tar.xz' -> '/nix/store/qin7d4vz37krv5zymaahjnq8qp2ji81l-mailcap-2.1.53.tar.xz.drv'
instantiated 'mailcap-2.1.53' -> '/nix/store/sjw36bxf3g7bh7bkd2alfhii203rhvxx-mailcap-2.1.53.drv'
instantiated 'python-setup-hook.sh' -> '/nix/store/j0ag9vz8m07f5v9rav2zgdivvpz67a7r-python-setup-hook.sh.drv'
instantiated 'Python-3.9.13.tar.xz' -> '/nix/store/rjcd4wp0vd02pak72sqplfi0vsm7fq76-Python-3.9.13.tar.xz.drv'
instantiated 'python3-3.9.13' -> '/nix/store/ndzaqbbzdlrzx17bvgih5gwsiabmbqw6-python3-3.9.13.drv'
copied source '/nix/store/d755j96xhbwa2q32mgwbbxzbx7x69p5h-nixpkgs-22.05-src/pkgs/development/web/nodejs/disable-darwin-v8-system-instrumentation.patch' -> '/nix/store/cqn0y2wklslppakf9zwrwm6c139mh9dj-disable-darwin-v8-system-instrumentation.patch'
copied source '/nix/store/d755j96xhbwa2q32mgwbbxzbx7x69p5h-nixpkgs-22.05-src/pkgs/development/web/nodejs/setup-hook.sh' -> '/nix/store/ay9ps6p97mf12nybf9d4r3nyina81b87-setup-hook.sh'
instantiated 'node-v16.15.0.tar.xz' -> '/nix/store/wfc7jdamrniknsyj82ippkdkdrk6wb31-node-v16.15.0.tar.xz.drv'
instantiated 'nodejs-16.15.0' -> '/nix/store/knb7gd3iajkqmjchxhj208ilyk60j0cq-nodejs-16.15.0.drv'
instantiated 'source' -> '/nix/store/0nq8kzmi7j6778ahvjm8qi1n4z2v69b6-source.drv'
instantiated 'yarn-1.22.18' -> '/nix/store/g00za5jma8kwwscpkgad5b2hz3qk33g7-yarn-1.22.18.drv'
error: attribute 'elixir_1_14' missing, at /home/runner/pleaseworkchess/replit.nix:5:5
(use '--show-trace' to show detailed location information)

This is my replit.nix file

{ pkgs }: {
	deps = [
    pkgs.yarn
    pkgs.elixir_1_14
    pkgs.nodejs
	];
}

Im not sure what im doing wrong.
Any help is appreciated

Hi @Mikeymoo welcome to the community.

In order for the community to suggest ideas to help you solve your code issue it would be useful to share a link to your Repl.

1 Like